Insights
List customer insights
GET
Recurring customer problems, bugs and feature requests extracted from conversations by AI.
bearer insights:readheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: insights:read
status?stringValue in
"open""in_progress""resolved""dismissed"type?stringValue in
"bug""alert""feature_request""improvement"severity?stringValue in
"low""medium""high""critical"agentId?stringLength
length <= 64search?stringLength
length <= 200limit?integerRange
1 <= value <= 300Default
50Success
application/json- response
enabled*booleanWhether insight extraction is turned on for the organization.
counts*data*array<>curl -X GET "https://example.com/insights"{ "enabled": true, "counts": { "all": 0, "featureRequest": 0, "bug": 0, "other": 0 }, "data": [ { "id": "string", "type": "bug", "severity": "low", "status": "open", "title": "string", "summary": "string", "recommendation": "string", "channel": "widget", "agentId": "string", "agentName": "string", "sourceConversationId": "string", "occurrences": { "total": 0, "people": 0, "last7Days": 0, "last30Days": 0 }, "firstSeenAt": 0, "lastSeenAt": 0 } ]}